Skip to main content
POST
Add Referral Code Holders

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

memberId
string
required

Unique referral code or its identifier.

Example:

"MmFAzfDe"

Body

application/json

Specify the customer data to be upserted as redeemable holders.

Request body schema for POST v1/referrals/{campaignId}/members/{memberId}/holders and POST v1/referrals/members/{memberId}/holders.

holders
Customer ยท object[]
required

Array of holders to be added to a referral card as referees. You have to send at least one object in the array up to a maximum of 100 objects. You can send either a source_id or id, or both; however, at least one of them is required. If both are sent, Voucherify checks id to upsert that customer's data.

metadata
object

A set of custom key/value pairs that you can attach to the redeemable holders sent in the array. The value can be a string, number, boolean, date, datetime, image URL, or object. The metadata must meet the metadata schema for publications. The metadata object stores all custom attributes assigned to the redeemable holder.

Response

Returns a list of redeemable holder objects.

Response body schema for POST v1/referrals/{campaignId}/members/{memberId}/holders and POST v1/referrals/members/{memberId}/holders.

holders
Customer Redeemable ยท object[]
required

Contains an array of referral card holders who are the customers sent in the request.

Last modified on February 3, 2026